declare const SUPPORTED_IMAGES: string[];
declare const SUPPORTED_TRANSFORMABLE_IMAGES: string[];
declare const OPTIMIZED_TRANSFORMED_IMAGE_PREFIX = "img-o-t-";
declare const OPTIMIZED_IMAGE_PREFIX = "img-o-";
declare const getOptimizedImageKeyPrefix: (key: string) => string;
declare const getOptimizedTransformedImageKeyPrefix: (key: string, transformationsHash: string) => string;
interface GetImageKeyParams {
    key: string;
    transformations?: any;
}
declare const getImageKey: ({ key, transformations }: GetImageKeyParams) => string;
export { SUPPORTED_IMAGES, SUPPORTED_TRANSFORMABLE_IMAGES, OPTIMIZED_TRANSFORMED_IMAGE_PREFIX, OPTIMIZED_IMAGE_PREFIX, getImageKey, getOptimizedImageKeyPrefix, getOptimizedTransformedImageKeyPrefix };
